eperl (2.2.14-23) unstable; urgency=medium

  * Update Vcs-* headers for packaging repository moving to Salsa.
  * Drop one-man-team from Maintainer field, set myself personally there
    instead. (Closes: #899962)
  * Remove trailing whitespace from ancient debian/changelog entries.
  * Declare compliance with Debian Policy 4.1.4. (No changes needed.)
  * Bump debhelper compatibility level to 11.
    + Update versioned build-dependency on debhelper accordingly.
    + Update .gitignore to ignore additional build artefacts.
  * Guard a few patched files from being cleaned up by
    dh_autoreconf_clean.
  * Convert debian/copyright to machine-readable DEP5 format.

 -- Axel Beckert <abe@debian.org>  Wed, 27 Jun 2018 01:20:50 +0200

eperl (2.2.14-22) unstable; urgency=medium

  * Switch Vcs-* headers to https:// and cgit web interface.
  * Declare compliance with Debian Policy 3.9.8. (No changes needed.)
  * Enable bindnow hardening flag.
  * Add patch to remove inclusion of build time and user from version
    output. Hopefully makes the build reproducible.
  * Remove sole lintian override: No more needed and causes
    mentions-deprecated-usr-lib-perl5-directory lintian warning.

 -- Axel Beckert <abe@debian.org>  Thu, 11 Aug 2016 00:05:04 +0200

eperl (2.2.14-21) unstable; urgency=medium

  * Don't hardcode /usr/{lib,share}/perl5 in debian/rules to support
    multiarch-compatible XS paths.
  * Bump Standards-Version to 3.9.5 (no changes)
  * Apply wrap-and-sort.
  * Update Heiko's e-mail address in debian/copyright (Thanks DUCK!)
  * Remove obsolete dh_installchangelogs override.
  * Add a debian/upstream/metadata file according to DEP-12.

 -- Axel Beckert <abe@debian.org>  Wed, 14 May 2014 19:02:53 +0200

eperl (2.2.14-20) unstable; urgency=low

  * Add patch to end option structure with { 0, 0, 0, 0 }. Fixes segfault
    on "eperl --=". Thanks to Aurelien Jarno, Alexandre Rebert and the Mayhem
    project.
  * Update watch file to version by Bart Martens <bartm@debian.org>

 -- Axel Beckert <abe@debian.org>  Thu, 27 Jun 2013 14:49:49 +0200

eperl (2.2.14-19) unstable; urgency=low

  * Add patch to fix FTBFS with Perl 5.16. Thanks to Nick Black for
    pointing to Fedora's fix for this issue. (Closes: #676263)
  * Switch to source format "3.0 (quilt)"
    - Remove build dependency on quilt
    - Remove quilt traces from debian/rules
  * Bump debhelper compatibility to 9, update versioned build dependency.
  * Revamp debian/rules:
    - Use dh_auto_{configure,build,install}
    - Use debian/{dirs,docs,examples} instead of parameters to
      dh_install{dirs,docs,examples}.
    - Clean up clean target
    - Remove unneeded variables, simplify $TMP
    - Switch to a dh7 style debian/rules
  * Patch Makefile.in to pass compiler flags properly
  * Patch generated Makefile for ePerl.so by injecting CPPFLAGS and
    LDFLAGS with sed to fix lintian warning hardening-no-relro for
    ePerl.so. This also should fix the lintian warning
    hardening-no-fortify-functions, but doesn't, despite
    -D_FORTIFY_SOURCE=2 is passed to cc.
  * Ignore .build-backup files when building the source package
  * Bump Standards-Version to 3.9.4 (no changes)
  * Fix lintian warning vcs-field-not-canonical

 -- Axel Beckert <abe@debian.org>  Sat, 11 May 2013 21:15:37 +0200

eperl (2.2.14-18) unstable; urgency=low

  * Fix missing version in eperl(1). (Closes: #652568)
  * Change Suggests from mod_perl1 to mod_perl2.
  * Bump Standards-Version to 3.9.3 (no changes)

 -- Axel Beckert <abe@debian.org>  Sun, 08 Apr 2012 00:42:38 +0200

eperl (2.2.14-17) unstable; urgency=low

  * Applied patch from Marius Vollmer <marius.vollmer@nokia.com> to fix
    assumption that some file descriptors are unused. (Closes: #593358)
  * Remove Felipe Augusto van de Wiel (faw) from Uploaders on his request.
  * Fixes the following lintian warnings:
    + debian-rules-missing-recommended-target
    + maintainer-script-without-set-e
  * Bump Standards-Version to 3.9.2 (no changes)
  * Activate test suite via dh_auto_test
  * Use dpkg-buildflags, also enables hardening
    + Remove manual check for noopt in DEB_BUILD_OPTIONS
  * Remove manual check for nostrip in DEB_BUILD_OPTIONS, done by dh_strip
    itself
  * Clean up clean target in debian/rules a little bit.

 -- Axel Beckert <abe@debian.org>  Thu, 08 Dec 2011 15:47:54 +0100

eperl (2.2.14-16) unstable; urgency=low

  * Move to collaborative maintenance
  * Moved over to quilt patch management
    - Added build dependency on quilt
    - Added target dependencies to debian/rules
    - Added README.source pointing to /usr/share/doc/quilt/README.source
  * Overhauled and updated debian/copyright
  * Document trick to have shebang lines in the output. (Patch
    document-double-shebang.diff, closes: #360790)
  * Fix preprocessor comments to behave as documented. (Patch
    fix-preprocessor-comments-to-behave-as-documented.diff, closes: #360891)
  * Fix format string expansion in stderr output of Perl. (Patch
    fix-format-string-error-in-perl-stderr.diff, closes: #397536)
  * debian/rules: Make clean target really clean up
  * debian/rules: Store a copy of eperl.1 to get an unmodified source
    after clean target
  * Bumped Standards-Version to 3.8.4
    - Added Homepage field
    - Added Vcs-* fields
    - Added support for DEB_BUILD_OPTIONS=noopt
  * Bumped debhelper compatibility to 7
    - [debian/rules] Replaced "dh_clean -k" by "dh_prep"
    - [debian/control] Added dependency on ${misc:Depends}
  * Use external shtool instead of the one from the diff.gz
  * Fix some lintian warnings:
    - [debian/rules] debian-rules-makemaker-prefix-is-deprecated
    - [debian/source/format] missing-debian-source-format (enforce 1.0)
    - [debian/NEWS] debian-news-entry-without-blank-line
    - [debian/patches/fix-spelling-errors.diff] spelling-error-in-manpage

 -- Axel Beckert <abe@debian.org>  Sun, 06 Jun 2010 02:26:36 +0200

eperl (2.2.14-15.2) unstable; urgency=low

  * Non-maintainer upload.
  * Call PERL_SYS_INIT3() before perl_alloc(), fixing uninitialized lock
    issues on hppa. (Closes: #494191)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Sat, 06 Sep 2008 21:30:21 +0200

eperl (2.2.14-15.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS with perl5.10 (closes: #463083)
  * Stop ignoring errors in clean target
  * Update Standards-Version (no changes)

 -- Stephen Gran <sgran@debian.org>  Sun, 06 Apr 2008 00:37:02 +0100

eperl (2.2.14-15) unstable; urgency=low

  * Remove me from Maintainers.
  * Handle nostrip build option (Closes: #436818).

 -- Luk Claes <luk@debian.org>  Wed, 23 Jan 2008 22:58:38 +0000

eperl (2.2.14-14) unstable; urgency=low

  * New maintainers.
  * Bumped Standards-Version.
  * Updated debian/watch to version=3 and new upstream location.
  * Updated debian/copyright.

 -- Luk Claes <luk@debian.org>  Sat, 30 Sep 2006 13:35:57 +0200

eperl (2.2.14-13) unstable; urgency=low

  * eperl_main.c: slight changes when computing SCRIPT_SRC_PATH_DIR;
    valgrind reported that in strncpy, src and dest strings had the
    same address.
  * Bump Standards-Version: 3.6.2, no changes needed in packaging.
  * Depends on debhelper >= 4, and set debian/compat to 4.

 -- Denis Barbier <barbier@debian.org>  Sun, 25 Sep 2005 22:42:02 +0200

eperl (2.2.14-12) unstable; urgency=low

  * Fix compilation on amd64 with gcc-4.0.  Closes: #300093
    Thanks Andreas Jochens for reporting this bug and providing a patch.
  * Fix typo in eperl.1.  Closes: #300134
    Thanks A Costa for reporting this bug and providing a patch.

 -- Denis Barbier <barbier@debian.org>  Thu, 17 Mar 2005 22:27:45 +0100

eperl (2.2.14-11) unstable; urgency=low

  * Vladislav Safronov sent a patch to change cache behavior of
    Apache::ePerl.  All cached Perl code was previously evaluated in
    a single environment, whereas a unique package name is now assigned
    to each script, which is evaluated from within this package.
    Closes: #228644  Thanks Vladislav Safronov.

 -- Denis Barbier <barbier@debian.org>  Sat,  7 Feb 2004 20:40:04 +0100

eperl (2.2.14-10) unstable; urgency=low

  * Improve spelling in NEWS file.  Closes: #226426
    Thanks Pascal Hakim.

 -- Denis Barbier <barbier@debian.org>  Sun, 18 Jan 2004 22:42:46 +0200

eperl (2.2.14-9) unstable; urgency=low

  * Rebuild againt perl 5.8.1.  This is a temporary fix to work around
    the current incompatibility between 5.8.0 and 5.8.1
    Closes: #213727

 -- Denis Barbier <barbier@debian.org>  Wed,  1 Oct 2003 22:04:15 +0200

eperl (2.2.14-8) unstable; urgency=low

  * When receiving an HEAD request, ePerl did not output HTTP headers.
    (Closes: #186340)  Thanks Gergely Nagy
  * Bump Standards-Version: 3.6.1 and convert this file to UTF-8.
  * Move /usr/lib/perl5/Apache/ePerl.pm under /usr/share/perl5/
  * Remove /usr/lib/cgi-bin/nph-eperl for security reason.
    NEWS.Debian explains how to enable CGI scripting if needed.
    (Closes: #57886)  Thanks Steve Dodd
  * debian/postrm:  Remove /usr/lib/cgi-bin/nph-eperl if it is a symlink.

 -- Denis Barbier <barbier@debian.org>  Sat, 13 Sep 2003 00:23:04 +0200

eperl (2.2.14-7) unstable; urgency=low

  * Fix bug in Parse::ePerl::Preprocess: BD and ED are now initialized
    Bugreport and patch provided by Holger Krug <hkrug at rationalizer dot com>
    Thanks.  (Closes: #184785)

 -- Denis Barbier <barbier@debian.org>  Fri, 14 Mar 2003 22:14:47 +0100

eperl (2.2.14-6) unstable; urgency=low

  * eperl_perl5.c eperl_main.c: move the whole Perl processing stuff
    into eperl_perl5.c, so that eperl_perl5.h is no more needed by
    eperl_main.c.  This is needed to let ePerl compile with future
    Perl 5.8
  * eperl_config.h: define MAXPATHLEN if necessary
  * Makefile.PL: restore original file, old hack does not seem to
    be necessary anymore
  * configure.in: can be processed by Autoconf 2.1x and 2.5x
  * Build against Perl 5.8

 -- Denis Barbier <barbier@debian.org>  Thu,  8 Aug 2002 10:13:26 +0200

eperl (2.2.14-5) unstable; urgency=low

  * eperl_parse.c eperl_proto.h: remove useless definition of strndup
  * eperl_perl5.h: remove broken pseudo-support for PerlIO
  * new ePerl homepage mentioned in eperl(1) manpage
  * remove author and homepage information from debian/control

 -- Denis Barbier <barbier@debian.org>  Tue,  6 Aug 2002 22:52:46 +0200

eperl (2.2.14-4) unstable; urgency=low

  * Remove emacs crap from debian/changelog
  * Fix misspelling in debian/copyright

 -- Denis Barbier <barbier@debian.org>  Tue, 18 Dec 2001 20:40:24 +0100

eperl (2.2.14-3) unstable; urgency=low

  * The #sinclude directive calling an external server could allow
    execution of arbitrary code (Bug reported by David Madison on the
    ePerl mailing list).
  * Argh, -l*db* are back in Perl ldflags :(
  * Remove INSTALL* files from documentation
  * Remove dh_testversion from debian/rules
  * Fix rpath related lintian error in Makefile.PL

 -- Denis Barbier <barbier@debian.org>  Sat, 16 Jun 2001 00:29:53 +0200

eperl (2.2.14-2) unstable; urgency=high

  * Urgency set to high because previous security fix could not compile
    from source.
  * Fix debian/rules so that dh_perl can perform its job and find Perl
    dependencies (Closes: Bug#86852).
  * A Build-Depends against perl versioned 5.6.0-19 is added since
    perl ldflags do no more refer to -lposix nor -l*db*
    (Closes: Bug#86938).

 -- Denis Barbier <barbier@debian.org>  Thu, 22 Feb 2001 23:09:40 +0100

eperl (2.2.14-1) unstable; urgency=high

  * After auditing all string manipulations, some new buffer
    overflows are detected and fixed. This is why urgency is set to high.
    Closes: Bug#71479
  * All header lines now end up with `\r\n', not only Content-type.
  * Change t/05-mode_nphcgi.t to reflect these changes in HTTP headers.
  * Fix Build-Depends (Closes: Bug#86550)

 -- Denis Barbier <barbier@debian.org>  Mon, 19 Feb 2001 00:37:55 +0100

eperl (2.2.14-0.8) unstable; urgency=low

  * Hijacked ePerl because Heiko seems not having time to work on it.
    This is not the kindest action i made, and my apologies go to Heiko,
    but i really need to make this package work quickly.
  * Make etc/shtool executable before building (Closes: Bug#81198).

 -- Denis Barbier <barbier@debian.org>  Sat, 17 Feb 2001 10:23:25 +0000

eperl (2.2.14-0.7) unstable; urgency=low

  * Non-maintainer upload.
  * Recompiled for perl-5.6 (Closes: Bug#76506).
  * Added Build-Depends (Closes: Bug#70318).
  * Applied Fumitoshi UKAI's security patch against possible buffer
    overflow.  UKAI says it still needs auditing, so I'm leaving this bug
    report open (Bug#71479).
  * Patch from Fumitoshi UKAI that fixes problem with sending HTTP status
    code (Closes: Bug#66204).
  * Fixed ePerl Y2K bug in ePerl.pm and etc/newvers (Closes: Bug#69312).
  * Added missing #DEBHELPER# in postinst and postrm so that the
    /usr/doc/eperl symlink is created (Closes: Bug#76507).
  * Extraneous .packlist, fixed in 2.2.14-0.4 (Closes: Bug#38957).
  * Added a temporary, ugly kludge in debian/rules so that the build won't
    look for the obsolete (?) libposix on woody.
  * Merged in newer eperl code from wml-2.0.6.
  * "Modernized" debian/rules.

 -- Anthony Fok <foka@debian.org>  Wed, 20 Dec 2000 15:20:52 -0700

eperl (2.2.14-0.6) unstable; urgency=medium

  * Non-maintainer upload during bug-squashing-party.
  * Applied patch from Vincent Renardias (closes: #54278).

 -- Christian Kurz <shorty@debian.org>  Sat,  8 Jan 2000 13:07:00 +0100

eperl (2.2.14-0.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Recompiled for perl-5.005.
  * Partially upgraded to standards version 3.0.0:
     - Updated copyright to point to /usr/share/common-licenses
     - FHS-compliance, with the notable exception of the
       /usr/doc/eperl -> /usr/share/doc/eperl switch.
  * [debian/rules]: Uses dh_perl to generate perl dependency instead of
      hard-coding it in debian/control.  (Thanks Raphaël!  :-)
  * Removed the hack in ./Makefile.PL as the new Perl package seems
    to have fixed the segfault problemI had with eperl_2.2.14-0.3.
  * Suggests: libapache-mod-perl (>= 1.19-2), which does not yet
      exist but is predicted to be compatible with the new Perl.  :-)

 -- Anthony Fok <foka@debian.org>  Tue,  6 Jul 1999 03:53:39 -0600

eperl (2.2.14-0.4) unstable; urgency=low

  * Non-maintainer upload.
  * Recompiled on master (slink) because the copy of eperl 2.2.14-0.3
    compiled on my i386 computer (potato) gives a segmentation fault.
  * Suggests: libapache-mod-perl (>= 1.16-2) from slink instead of
    (>= 1.19-1) which is only in potato.
  * Removed /usr/lib/perl5/i386-linux/5.004/auto/Parse/ePerl/.packlist

 -- Anthony Fok <foka@debian.org>  Fri, 11 Jun 1999 19:53:02 -0500

eperl (2.2.14-0.3) unstable; urgency=low

  * Non-maintainer upload.
  * Incorporated some fixes from WML 1.7.1.
  * Upgraded to standards version 2.5.1 (no change).
  * [./Makefile.PL]: A small hack which in effect changes
     "-lc -leperl" to "-leperl -lc" in ./mod/Parse/Makefile to keep ld
     from complaining about "undefined versioned symbol name
     strndup@@GLIBC_2.0".  Thanks to Joel Klecker for pinpointing the
     problem!  :-)
  * Suggests: libapache-mod-perl (>= 1.19-1), thanks to Lintian.  :-)

 -- Anthony Fok <foka@debian.org>  Fri, 11 Jun 1999 09:31:56 -0600

eperl (2.2.14-0.2) stable unstable; urgency=low

  * Non-maintainer upload.
  * Re-uploaded to both stable (hamm) and unstable (slink) to
    fix the security bug in ePerl 2.2.12 (closes: Bug#24498).

 -- Anthony Fok <foka@debian.org>  Sun,  9 Aug 1998 23:44:22 -0600

eperl (2.2.14-0.1) unstable; urgency=low

  * New upstream release.
  * Non-maintainer release.
  * Now installs README and the new CREDITS to /usr/doc/eperl.

 -- Anthony Fok <foka@debian.org>  Sun,  2 Aug 1998 18:44:26 -0600

eperl (2.2.13-0.1) unstable; urgency=low

  * New upstream release (Security and Bug Fixes).
  * Non-maintainer release.
  * Upgraded to standards version 2.4.1.0 (no changes).

 -- Anthony Fok <foka@debian.org>  Sat,  1 Aug 1998 17:06:41 -0600

eperl (2.2.12-2) frozen unstable; urgency=low

  * should go to frozen as well as to unstable
  * updating /usr/lib/cgi-bin/suideperl iff exists

 -- Heiko Schlittermann <heiko@lotte.sax.de>  Mon, 11 May 1998 23:58:14 +0200

eperl (2.2.12-1) unstable; urgency=low

  * added www-data as suid permitted caller
  * added symlink
    /usr/lib/cgi-bin/nph-eperl -> /usr/bin/eperl

 -- Heiko Schlittermann <heiko@lotte.sax.de>  Mon, 11 May 1998 13:48:55 +0200

eperl (2.2.12-0.2) unstable; urgency=low

  * Non-maintainer release.
  * No longer installs /usr/lib/perl5/i386-linux/5.004/perllocal.pod.
  * Revised copyright file (GPL.gz -> GPL, Artistic.gz -> Artistic),
    thanks to the Lintian error report.  :-)
  * Upgraded to standards version 2.4.0.0 (no changes).

 -- Anthony Fok <foka@debian.org>  Tue, 10 Feb 1998 18:01:14 -0700

eperl (2.2.12-0.1) unstable; urgency=low

  * New upstream non-maintainer release.
  * Have a Happy New Year 1998!  :)

 -- Anthony Fok <foka@debian.org>  Wed, 31 Dec 1997 17:25:00 -0700

eperl (2.2.11-0.1) unstable; urgency=low

  * New upstream non-maintainer release.
  * Have a Happy New Year!  :)

 -- Anthony Fok <foka@debian.org>  Tue, 30 Dec 1997 19:44:02 -0700

eperl (2.2.9-0.1) unstable; urgency=low

  * New upstream non-maintainer release.
  * The upstream author has fixed the segmentation fault problem!  Hurray!

 -- Anthony Fok <foka@debian.org>  Tue, 23 Dec 1997 22:16:15 -0700

eperl (2.2.8-0.2) unstable; urgency=low

  * Yet another non-maintainer release.  :)
  * Commented out fclose(fp) at the end of eperl_main.c.  This should solve
    the segmentation fault problem.  Thanks to Tommi Virtanen for pointing
    out the solution!  :)  (Fixes Bug#15818)
  * Fixed /usr/doc/eperl/copyright.  I failed to mention that ePerl
    may be redistributed and/or modified under the terms of either the
    Artistic License or the GNU General Public License.

 -- Anthony Fok <foka@debian.org>  Mon, 22 Dec 1997 06:46:27 -0700

eperl (2.2.8-0.1) unstable; urgency=low

  * New upstream (non-maintainer) release
  * Rewrote debian/rules and switched to debhelper (Fixes Bug#14865).
  * Now installs the integrated the Perl 5 interface modules "Parse::ePerl"
    and "Apache::ePerl".
  * debian/control:
     - Updated Standards-Version to 2.3.0.1.
     - Now Depends on perl (>= 5.004.04-3).
     - Revised package Description.
  * Revised /usr/doc/eperl/copyright.
  * Added README.Debian to explain the current /usr/bin/eperl segmentation
    fault problem (Bug#15818).  The bug report has been forwarded upstream
    earlier today, and we hope to hear from the author soon.
  * Other minor changes and fixes here and there.  :)

 -- Anthony Fok <foka@debian.org>  Mon, 22 Dec 1997 00:26:36 -0700

eperl (2.2.5-1.1) unstable; urgency=low

  * Non-maintainer libc6 release.

 -- Joey Hess <joeyh@master.debian.org>  Sun, 16 Nov 1997 14:22:34 -0500

eperl (2.2.5-1) unstable; urgency=low

  * initial release

 -- Heiko Schlittermann <heiko@lotte.sax.de>  Sat, 6 Sep 1997 11:14:58 +0200
